"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.msTestConfig = void 0;
const rootDir = process.env.PWD;
const crdbConnector = {
    type: 'crdb',
    port: 26257,
    host: 'localhost',
    database: 'tester',
    name: 'test',
    user: 'root',
    password: '',
    modelsRootDir: `${rootDir}/__test__`
};
const redisConnector = {
    port: 6379,
    host: 'localhost',
    options: {
        password: ''
    }
};
const rabbitConnector = {};
const appPort = 4041;
exports.msTestConfig = {
    port: appPort,
    models: '',
    databases: [crdbConnector],
    redis: redisConnector,
    rabbit: rabbitConnector
};
