export interface Config {
    port: number;
    models: string;
    databases?: Array<Database>;
    redis?: IRedis;
    rabbit?: IRabbit;
}
export interface IRabbit {
}
export interface IRedis {
    port: number;
    host: string;
    options: {
        password?: string;
    };
}
export interface Database {
    type: 'crdb' | 'redis';
    port: number;
    host: string;
    database: string;
    user: string;
    password?: string;
    certDir?: string;
    modelDir: string;
}
