import { Database } from '../interfaces/config';
export default class redis {
    /**
     * The Redis Class
     * @param redisConnection - initiates the redis connection
     */
    private redisConnection;
    constructor(options: Database);
    get(key: string, onSuccess: (result: string | null) => void, onError: (err: Error, result: string | null) => void): void;
    set(key: string, data: string, onSuccess: (result: string | null) => void, onError: (err: Error, result: string | null) => void): void;
    setnx(key: string, data: string, onSuccess: (result: string | null) => void, onExists: () => void, onError: (err: Error, result: string | null) => void): void;
}
